<div class="controllers">
    <app-router-panel *ngIf="controlledDestination" [selectedDestinationIndex]="controlledDestination" destinationDisabled="true"></app-router-panel>
    <app-router-panel 
        *ngFor="let obj of controlledDestinations" 
        [selectedDestinationIndex]="obj" 
        [destinationDisabled]="obj != -1"></app-router-panel>
</div>